com.sap.conn.jco

## Interface JCoCustomDestination.SncConfigurationData

- Enclosing interface:
    JCoCustomDestination

      public static interface JCoCustomDestination.SncConfigurationData

  SncConfigurationData allows to change the SNC configuration for a JCoCustomDestination.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSncLibrary(String sncLibrary)` Sets the path to the library which provides the SNC service.
    `void` | `setSncMode(String sncMode)` Switches SNC on or off.
    `void` | `setSncMyName(String sncMyName)` Sets the own SNC name of the caller.
    `void` | `setSncPartnerName(String sncPartnerName)` Sets the SNC name of the communication partner server.
    `void` | `setSncQOP(String sncQOP)` Sets the SNC quality of protection level.
    `void` | `setSncWithSSO(boolean useSingleSignOn)` Allows to adjust the SSO behavior of SNC.

- - ### Method Detail

    - #### setSncMode

          void setSncMode(String sncMode)

      Switches SNC on or off.
      Parameters:
        `sncMode` - SNC mode with valid values 1 (on) or 0 (off)

    - #### setSncQOP

          void setSncQOP(String sncQOP)

      Sets the SNC quality of protection level. Valid values:
      1: Authentication only
      2: Authentication and integrity protection
      3: Authentication, integrity and privacy protection (encryption)
      8: Global default configuration (usually equivalent to value 3)
      9: Maximum protection
      Parameters:
        `sncQOP` - SNC quality of protection level [1..9]

    - #### setSncMyName

          void setSncMyName(String sncMyName)

      Sets the own SNC name of the caller. For example: `p:CN=MyUserID, O=ACompany, C=EN`
      Parameters:
        `sncMyName` - own SNC name

    - #### setSncPartnerName

          void setSncPartnerName(String sncPartnerName)

      Sets the SNC name of the communication partner server. For example: `p:CN=SID, O=ACompany, C=EN`
      Parameters:
        `sncPartnerName` - SNC partner name

    - #### setSncLibrary

          void setSncLibrary(String sncLibrary)

      Sets the path to the library which provides the SNC service.
      Parameters:
        `sncLibrary` - path to the SNC library

    - #### setSncWithSSO

          void setSncWithSSO(boolean useSingleSignOn)

      Allows to adjust the SSO behavior of SNC. If setting `false`, the default SSO logon mechanism of SNC won't be used and alternatively provided logon credentials like user ID plus password, a logon ticket or a certificate will be used.
      Parameters:
        `useSingleSignOn` - `false` switches off the SSO logon mechanism of SNC
      Since:
        JCo 3.0.9

Copyright © 2020 SAP. All Rights Reserved.